Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.struct.util
Class EvolpPrettyPrinterTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              lp.struct.util.LpPrettyPrinterTest
                  lp.struct.util.EvolpPrettyPrinterTest

All Implemented Interfaces:
  Test

    public class EvolpPrettyPrinterTest

extends LpPrettyPrinterTest

Contains tests of the `EvolpPrettyPrinter` class.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `EvolpPrettyPrinter`

Field Summary

Fields inherited from class lp.struct.util.LpPrettyPrinterTest
`expContents, expContents2, pp, pp2, r`

Constructor Summary
`EvolpPrettyPrinterTest(String testName)` A default test case constructor.

Method Summary
`protected void` | `doAssertTest(String expected, LpPredicate pred, LpTerm... argTerms)` Tests whether a fact formed by the predicate symbol `pred` with `argTerms` as its arguments will be appended (or converted to string) correctly.
`protected void` | `setUp()` Reinitializes all members (`LpPrettyPrinterTest.r`, `LpPrettyPrinterTest.pp`, `LpPrettyPrinterTest.pp2`, `LpPrettyPrinterTest.expContents` and `LpPrettyPrinterTest.expContents2`).
`void` | `testAppendEvolpRule()` Tests the `EvolpPrettyPrinter` on rules that contain other rules as an inner term.

Methods inherited from class lp.struct.util.LpPrettyPrinterTest
`doTest, testAppendCompoundTerm, testAppendConstant, testAppendFunction, testAppendLiteral, testAppendNull, testAppendPredicate, testAppendRule, testAppendVariable, testAsString`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EvolpPrettyPrinterTest

    public EvolpPrettyPrinterTest(String testName)

  A default test case constructor.

  Parameters:
    `testName` - the name of the test case

Method Detail

### setUp

    protected void setUp()

  Reinitializes all members (`LpPrettyPrinterTest.r`, `LpPrettyPrinterTest.pp`, `LpPrettyPrinterTest.pp2`, `LpPrettyPrinterTest.expContents` and `LpPrettyPrinterTest.expContents2`).

  Overrides:
    `setUp` in class `LpPrettyPrinterTest`

### testAppendEvolpRule

    public void testAppendEvolpRule()

  Tests the `EvolpPrettyPrinter` on rules that contain other rules as an inner term.

### doAssertTest

    protected void doAssertTest(String expected,
                                LpPredicate pred,
                                LpTerm... argTerms)

  Tests whether a fact formed by the predicate symbol `pred` with `argTerms` as its arguments will be appended (or converted to string) correctly.

  Parameters:
    `expected` - the expected string that should be returned/appended
    `pred` - the predicate symbol of the fact's head literal
    `argTerms` - arguments of the fact's head literal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD